NP Quote Request WooCommerce 1.8.186

Does NP Quote Request WooCommerce work with WordPress 5.4.1 and PHP 7.2.16? A smoke test was performed on .

Summary

Errors
1PHP fatal errors
No JavaScript exceptions
1Page failed to load
  • 1 500 Internal Server Error
No resource errors
Performance

Memory usage: 0 bytes
The average PHP memory usage increased by this amount after activating by the plugin.

Page speed impact: insignificant.
The plugin didn't make the site noticeably slower.

Environment
WordPress version5.4.1
PHP version7.2.16
MySQL version8.0.15
PHP memory limit256M
Plugin Info
Last updated
Active installs 4,000+
WordPress.org page https://wordpress.org/plugins/woo-rfq-for-woocommerce/
Badges

Get badge code

Pages 2

Plugins ‹ Test site — WordPress

Page screenshot: Plugins ‹ Test site — WordPress
URL /wp-admin/plugins.php?plugin_status=all&paged=1&s
Requested URL /wp-admin/plugins.php?action=activate&plugin=woo-rfq-for-woocommerce%2Fwoo-rfq-for-woocommerce.php&plugin_status=all&paged=1&s&_wpnonce=74988ede6f
Aspect after-activation
HTTP status 200
Load time 0.560 s
Memory usage 3.82 MiB
JS errors None
Resource errors None

WordPress › Error

Page screenshot: WordPress › Error
URL /
Aspect front-page
HTTP status 500
Load time 0.077 s
Memory usage N/A
JS errors None
Resource errors None

Benchmark

No benchmark data available.

Additions

Things that the plugin adds to the site. This section is not intended to be comprehensive. The test tool only looks for a few specific types of added content.

Options wp_options 10

PHP Error Log 12 lines

[27-May-2020 17:25:11 UTC] PHP Fatal error:  Uncaught Error: Call to undefined function wc_get_product() in /wp-content/plugins/woo-rfq-for-woocommerce/includes/classes/gpls_woo_rfq_functions.php:2243
Stack trace:
#0 /wp-includes/class-wp-hook.php(287): gpls_woo_rfq_print_script('')
#1 /wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters('', Array)
#2 /wp-includes/plugin.php(478): WP_Hook->do_action(Array)
#3 /wp-settings.php(540): do_action('init')
#4 /wp-config.php(109): require_once('/opt/bitnami/ap...')
#5 /wp-load.php(37): require_once('/opt/bitnami/ap...')
#6 /wp-blog-header.php(13): require_once('/opt/bitnami/ap...')
#7 /index.php(17): require('/opt/bitnami/ap...')
#8 {main}
  thrown in /wp-content/plugins/woo-rfq-for-woocommerce/includes/classes/gpls_woo_rfq_functions.php on line 2243
See also: All tests for this plugin